For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList Datasets
      • POSTUpsert Dataset
      • GETGet Dataset
      • DELDelete Dataset
      • PATCHMove Dataset
      • GETList Datapoints
      • GETList Versions of a Dataset
      • DELDelete Dataset Version
      • PATCHUpdate Dataset Version
      • POSTUpload CSV
      • POSTDeploy Dataset
      • DELRemove Deployment
      • GETList a Dataset's Environments
LogoLogo
Sign inBook a demo
APIDatasets

List a Dataset's Environments

GET
https://api.humanloop.com/v5/datasets/:id/environments
GET
/v5/datasets/:id/environments
$curl https://api.humanloop.com/v5/datasets/id/environments \
> -H "X-API-KEY: <apiKey>"
1[
2 {
3 "id": "id",
4 "created_at": "2024-01-15T09:30:00Z",
5 "name": "name",
6 "tag": "default",
7 "file": {
8 "path": "path",
9 "id": "id",
10 "directory_id": "directory_id",
11 "model": "model",
12 "endpoint": "complete",
13 "template": "template",
14 "template_language": "default",
15 "provider": "anthropic",
16 "max_tokens": 1,
17 "temperature": 1.1,
18 "top_p": 1.1,
19 "stop": "stop",
20 "presence_penalty": 1.1,
21 "frequency_penalty": 1.1,
22 "other": {
23 "key": "value"
24 },
25 "seed": 1,
26 "response_format": {
27 "type": "json_object"
28 },
29 "reasoning_effort": "high",
30 "tools": [
31 {
32 "name": "name",
33 "description": "description"
34 }
35 ],
36 "linked_tools": [
37 {
38 "name": "name",
39 "description": "description",
40 "id": "id",
41 "version_id": "version_id"
42 }
43 ],
44 "attributes": {
45 "key": "value"
46 },
47 "version_name": "version_name",
48 "version_description": "version_description",
49 "description": "description",
50 "tags": [
51 "tags"
52 ],
53 "readme": "readme",
54 "name": "name",
55 "schema": {
56 "key": "value"
57 },
58 "version_id": "version_id",
59 "type": "prompt",
60 "environments": [
61 {
62 "id": "id",
63 "created_at": "2024-01-15T09:30:00Z",
64 "name": "name",
65 "tag": "default"
66 }
67 ],
68 "created_at": "2024-01-15T09:30:00Z",
69 "updated_at": "2024-01-15T09:30:00Z",
70 "created_by": {
71 "id": "id",
72 "email_address": "email_address"
73 },
74 "last_used_at": "2024-01-15T09:30:00Z",
75 "version_logs_count": 1,
76 "total_logs_count": 1,
77 "inputs": [
78 {
79 "name": "name"
80 }
81 ],
82 "evaluator_aggregates": [
83 {
84 "value": 1.1,
85 "evaluator_id": "evaluator_id",
86 "evaluator_version_id": "evaluator_version_id",
87 "created_at": "2024-01-15T09:30:00Z",
88 "updated_at": "2024-01-15T09:30:00Z"
89 }
90 ],
91 "raw_file_content": "raw_file_content"
92 }
93 }
94]
List all Environments and their deployed versions for the Dataset.
Was this page helpful?
Previous

List Evaluations

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Dataset.

Response

Successful Response
idstring
created_atdatetime
namestring
tagenum
An enumeration.
Allowed values:
fileobject
The version of the File that is deployed to the Environment, if one is deployed.

Errors

422
List Environments Datasets ID Environments Get Request Unprocessable Entity Error